#if !defined(AFX_SETTINGSDLG_H__0D2126C1_2923_45F1_BB23_CEB6F6EC6E2D__INCLUDED_)
#define AFX_SETTINGSDLG_H__0D2126C1_2923_45F1_BB23_CEB6F6EC6E2D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


// SettingsDlg.h : header file
//
#include "ProppageLav.h"
#include "ProppageGeneral.h"
#include "ProppageFolders.h"

// Struct for getting and setting dialog data.
struct SETTINGS
{
	// Lav:
	BOOL	m_bStereo;
	BOOL	m_bWMA2;
	BOOL	m_bWMAAll;
	BOOL	m_bWMAPro;
	// General:
	LOGFONT m_listLf;
	LOGFONT m_treeLf;
	CString m_pathVideos;
	CString m_pathContents;
	int		m_startVolPercent;
	BOOL	m_bUseLastVol;
};

/////////////////////////////////////////////////////////////////////////////
// CSettingsDlg
// 11/23-2 New class

class CSettingsDlg : public CPropertySheet
{
	DECLARE_DYNAMIC(CSettingsDlg)

	// Friend declarations for page classes - for private member access.
	//  not needed?
//	friend class CProppageGeneral;
//	friend class CProppageLav;


// Construction
public:
	CSettingsDlg(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CSettingsDlg(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	void CSettingsDlg::DoConstruct();

// Attributes
public:
	CProppageGeneral m_ppGeneral;
	CProppageFolders m_ppFolders;
	CProppageLav m_ppLav;


// Operations
public:
	void SetSettingsData(SETTINGS settings);
	BOOL GetSettingsData(SETTINGS & settings);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSettingsDlg)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSettingsDlg();

	// Generated message map functions
protected:
	//{{AFX_MSG(CSettingsDlg)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETTINGSDLG_H__0D2126C1_2923_45F1_BB23_CEB6F6EC6E2D__INCLUDED_)
